Package org.eclipse.rdf4j.query.resultio.text.csv

## Class SPARQLResultsCSVMappingStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy
  - - org.eclipse.rdf4j.query.resultio.text.csv.SPARQLResultsCSVMappingStrategy

- All Implemented Interfaces:
    `com.opencsv.bean.MappingStrategy<BindingSet>`

      public class SPARQLResultsCSVMappingStrategy
      extends SPARQLResultsXSVMappingStrategy

  Implements a `MappingStrategy` to allow opencsv to work in parallel. This is where the input is converted into `BindingSet`s.
  Author:
    Andrew Rucker Jones

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `bindingNames, numberPattern, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLResultsCSVMappingStrategy​(ValueFactory valueFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `captureHeader​(com.opencsv.CSVReader reader)` |
    `BindingSet` | `populateNewBean​(String[] line)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `generateHeader, getBindingNames, isAnnotationDriven, parseNumberPatternMatch, setErrorLocale, setType, transmuteBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opencsv.bean.MappingStrategy

      `ignoreFields`

- - ### Constructor Detail

    - #### SPARQLResultsCSVMappingStrategy

          public SPARQLResultsCSVMappingStrategy​(ValueFactory valueFactory)

  - ### Method Detail

    - #### captureHeader

          public void captureHeader​(com.opencsv.CSVReader reader)
                             throws IOException

      Throws:
        `IOException`

    - #### populateNewBean

          public BindingSet populateNewBean​(String[] line)